% --- a function which bins an array --- %

% x is an array of numbers
% y is the original data
% numbins is the count of new bins
% output:
% mu is the new average value in the new bins
% bins is the new x-scale

% program adapted from a routine found in the internet.

function [mu, bins] = bindata(x, y, numbins);

bins = linspace(min(x), max(x), numbins);
[n,bin] = histc(x, bins);
%mu = full(mean(sparse(1:length(x),bin,y)));
mu = full(sum(sparse(1:length(x),bin,y)));

end